/*
This source file is part of ProceduralGenerator (https://sourceforge.net/projects/proceduralgene/)

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU Lesser General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with
the program; if not, write to the Free Software Foundation, Inc., 59 Temple
Place - Suite 330, Boston, MA 02111-1307, USA, or go to
http://www.gnu.org/copyleft/lesser.txt.
*/
#ifndef ___PG_Application___
#define ___PG_Application___

#include "MainFrame.h"

namespace ProceduralTextures
{
	class ProceduralGeneratorApp : public wxApp
	{
	private:
		MainFrame * m_mainFrame;
		wxLocale *	m_pLocale;

	public:
		ProceduralGeneratorApp();
		~ProceduralGeneratorApp();

		virtual bool OnInit();
		virtual int OnExit();

		MainFrame * GetMainFrame()const { return m_mainFrame; }
	};
}

DECLARE_APP( ProceduralTextures::ProceduralGeneratorApp);

#endif
